package team.bangbang.spring.parameter;

import java.util.List;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * 将Request参数解析为Java实体变量的解析器配置到Spring解析器队列中
 *
 * @author 帮帮组
 * @version 1.0  2018-05-07
 */
@Configuration
public class CustomizedWebMvcConfigurer implements WebMvcConfigurer {

    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers) {
        argumentResolvers.add(new CustomizedResolver());
    }
}
